Bug 233671 - All PHILIPS DVD+/-RW DVD8801, ATAPI CD/DVD-ROM drives not working correctly
All PHILIPS DVD+/-RW DVD8801, ATAPI CD/DVD-ROM drives not working correctly
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
5
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-03-23 14:16 EDT by Walter Garcia-Fontes
Modified: 2008-05-06 15:24 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 15:24:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Walter Garcia-Fontes 2007-03-23 14:16:33 EDT
Description of problem:
Using "grip" to rip cds to mp3 from audio cds generate read errors. The DVD/RW
unit is a 
PHILIPS DVD+/-RW DVD8801, ATAPI CD/DVD-ROM drive
I tried with two different units of the same model and both generated the same
erros, so the problem does not seem to be a hardware problem.
I used a normal DVD unit and the problema dissappeared, it worked flawlessly. 

Dmesg reports the following error:
hda: status error: status=0x58 { DriveReady SeekComplete DataRequest }
ide: failed opcode was: unknown


Version-Release number of selected component (if applicable):
uname -a
Linux mymachine 2.6.20-1.2300.fc5smp #1 SMP Sun Mar 11 19:46:40 EDT 2007 i686
i686 i386 GNU/Linux

How reproducible:

Enter an audio CD. Open the "grip" program. Choose "Rip and encode". First disk
works well. Change the disk and put a new audio CD. Grip does not scan the
information of the new disk. Open totem, after Totem starts playing the disk,
grip gets the scanning information of the disk. After two or three disks totem
starts reporting that the disk has a format that totem cannot reproduce. Closing
and opening totem fixes the problem for a while, but after a couple of runs
totem reports wrong format all the time. In dmesg the above reported errors
appear at each try. 

This does not happen at all with the other older DVD unit that I tried. Grip
scans the disk perfectly and totem is not needed at all. 







Steps to Reproduce:
1. Open grip.
2. Put an Audio CD in the PHILIPS DVD+/-RW DVD8801, ATAPI CD/DVD-ROM drive
3. Choose "Rip and Encode"
4. When the ripping and encoding process finishes change the disk
5. See the disk information does not get updated in grip
6. Open totem and play the disk
7. The information gets updated in grip. "Rip and encode" this new disk.
8. Put a new disk, grip does not update the information.
9. Go back to totem and play the disk. At some point totem starts reporting that
   the format of the disk is incorrect. 
10. Closing and opening totem fixes the problem but after a couple of tries
totem reports errors all the time and the disk cannot be scanned any more. 
  
Actual results:

hda: status error: status=0x58 { DriveReady SeekComplete DataRequest }
ide: failed opcode was: unknown


Expected results:

No errors at all with the older DVD unit. 

Additional info:
Comment 1 David Zeuthen 2007-03-23 14:27:13 EDT
What makes you think this is a hal bug?
Comment 2 Walter Garcia-Fontes 2007-03-23 15:16:04 EDT
I got a comment on the fedora list that I should file a bug against hal.
Comment 3 Walter Garcia-Fontes 2007-03-26 02:49:54 EDT
This exchange is what made me file this against hal:

On Fri, 2 Mar 2007 16:20:11 +0100
Walter Garcia-Fontes <walter.garcia@upf.edu> wrote:

> * Alan Cox [02/03/07 16:15]:
> > That would almost certainly be HAL trying to read the wrong kind of track
> > (eg reading music or video as data).
> >
>
> Thanks. I noticed this as I'm using "grip" to rip music cdroms and
> encode them into mp3. Could this be a problem of "grip" or is it
> definitely a bug that I should report on the cdrom reading routines?

The trace is a program trying to read data off a cd that is not data so
it could well be the audio CDs triggering it. You might want to see what
happens if you boot the system and then insert a few audio CD disks but
don't use grip ?
Comment 4 Walter Garcia-Fontes 2007-05-07 06:48:36 EDT
I'm still having problems with this bug. I tried this same DVD/RW unit with a
Fedora 5 installation that had a 2.18 kernel, and it didn't produce the error.
So it seems that it is something that started happening at least with the 2.19
kernel  (I already updated to the latest 2.20 kernels and the problem is still
here). 
Comment 5 Bug Zapper 2008-04-04 02:38:50 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 6 Bug Zapper 2008-05-06 15:24:16 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.